{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/hits"
                }
            ],
            "steps": [
                {
                    "run": "#extract_coord_lines.cwl",
                    "in": [
                        {
                            "source": "#main/hits",
                            "id": "#main/extract_coord_lines/summary"
                        }
                    ],
                    "scatter": "#main/extract_coord_lines/summary",
                    "out": [
                        "#main/extract_coord_lines/coord_lines"
                    ],
                    "id": "#main/extract_coord_lines"
                },
                {
                    "run": {
                        "id": "#main/extract_names/extract_names",
                        "class": "CommandLineTool",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "doc": "The required columns are as follows:\n(1) target name: The name of the target sequence or profile.\n",
                                "id": "#main/extract_names/extract_names/coordinate_lines"
                            }
                        ],
                        "baseCommand": [
                            "awk",
                            "{print $1}"
                        ],
                        "stdout": "names",
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#main/extract_names/extract_names/names",
                                "outputBinding": {
                                    "glob": "names"
                                }
                            }
                        ]
                    },
                    "in": [
                        {
                            "source": "#main/extract_coord_lines/coord_lines",
                            "id": "#main/extract_names/coordinate_lines"
                        }
                    ],
                    "scatter": "#main/extract_names/coordinate_lines",
                    "out": [
                        "#main/extract_names/names"
                    ],
                    "id": "#main/extract_names"
                },
                {
                    "run": {
                        "id": "#main/sort_uniq_names/sort_uniq_names",
                        "class": "CommandLineTool",
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#main/sort_uniq_names/sort_uniq_names/names"
                            }
                        ],
                        "baseCommand": [
                            "sort",
                            "--unique"
                        ],
                        "stdout": "sorted_uniq_names",
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#main/sort_uniq_names/sort_uniq_names/sorted_uniq_names",
                                "outputBinding": {
                                    "glob": "sorted_uniq_names"
                                }
                            }
                        ]
                    },
                    "in": [
                        {
                            "source": "#main/extract_names/names",
                            "id": "#main/sort_uniq_names/names"
                        }
                    ],
                    "out": [
                        "#main/sort_uniq_names/sorted_uniq_names"
                    ],
                    "id": "#main/sort_uniq_names"
                }
            ],
            "id": "#main",
            "http://schema.org/license": "https://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/copyrightHolder": "EMBL - European Bioinformatics Institute",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/sort_uniq_names/sorted_uniq_names",
                    "id": "#main/unique_hits"
                }
            ]
        },
        {
            "requirements": [
                {
                    "coresMax": 1,
                    "ramMin": 100,
                    "class": "ResourceRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "streamable": true,
                    "id": "#extract_coord_lines.cwl/summary"
                }
            ],
            "baseCommand": [
                "grep",
                "-v",
                "^#"
            ],
            "successCodes": [
                0,
                1
            ],
            "stdout": "coord_lines",
            "outputs": [
                {
                    "type": "File",
                    "id": "#extract_coord_lines.cwl/coord_lines",
                    "outputBinding": {
                        "glob": "coord_lines"
                    }
                }
            ],
            "id": "#extract_coord_lines.cwl",
            "http://schema.org/license": "https://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/copyrightHolder": "EMBL - European Bioinformatics Institute"
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "https://schema.org/docs/schema_org_rdfa.html"
    ],
    "$namespaces": {
        "s": "http://schema.org/"
    }
}
